Package org.zkoss.zk.au.out

## Class AuDownload

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuDownload

-     public class AuDownload
      extends AuResponse

  A response to ask the client to download the specified URI.

  data[0]: the URL to download the file from.

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuDownload​(java.lang.String url)` | Constructs with an encoded URL.
    `AuDownload​(DeferredValue deferredURI)` | Constructs with a deferred URI.

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuDownload

          public AuDownload​(java.lang.String url)

      Constructs with an encoded URL. To work with WebSphere 5.1 and some other old server, it is suggested to use `AuDownload(DeferredValue)` and then invoke encodeURL in the rendering phase.
      Parameters:
        `url` - the URI of the file to download, never null.

    - #### AuDownload

          public AuDownload​(DeferredValue deferredURI)

      Constructs with a deferred URI. To work with WebSphere 5.1 and some other old server, it is suggested to use `AuDownload(DeferredValue)` and then invoke encodeURL in the rendering phase.
      Parameters:
        `deferredURI` - the URI but the value will be evaluated later.
      Since:
        3.5.1